Subject: Re: ide pmac breakage

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 02 Aug 2008 08:26:18 +1000

On Fri, 2008-08-01 at 12:54 +0200, Bartlomiej Zolnierkiewicz wrote:
> On Thursday 31 July 2008, Bartlomiej Zolnierkiewicz wrote:
> 
> [...]
> 
> Sorry if my mails were a bit harsh but nobody likes to be pushed around.
> 
> [ It is not like I don't want to add proper hot-plugging support or do test
>   on more hardware but my time schedule is already tight enough and there are
>   still more fundamental things to address (which take priority). ]
> 
> > -                host->dev[0] = hws[0]->dev;
> > +                host->dev[0] = hws[0]->parent ? hws[0]->parent : hws[0]->dev;
> > 
> > Could you please try it together with my previous patch for
> > ide_device_{get,put}()?
> 
> Please test it when you have some time.

The problem in that case is access to the HW :-) I have plenty ide-pmac
based machines but only one or two old laptop (ie. Paul has one too)
with a media-bay and those are in the office. So I'll test on Monday
when I get there, unless I get a chance to pop by on Sunday but that's
unlikely.

Ben.